#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include "ui_mainwindow.h"
#include <QGraphicsView>
#include <QGraphicsTextItem>
#include <QGraphicsLineItem>
#include <QGraphicsItemGroup>

#include "complexe.h"



class MainWindow : public QMainWindow, public Ui::MainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    
private slots:
    void tracer_graduations();
    void tracer_signal();
    void tracer_tableau_valeurs();
    void calcul_tableau_W();
    void remplir_tableau_echantillons();
    void RAZ_tableau_echantillons();
    void bit_reverse_tableau_X();
    void calcul_fourier();
    void on_btn2_clicked();
    void effacer_graduation();
    void effacer_trace();
    void on_spinBox_frq_valueChanged(int arg1);
    void on_checkBox1_toggled(bool checked);
    void on_checkBox2_toggled(bool checked);


    void on_spinBox_frq_2_valueChanged(int arg1);

    void on_checkBox3_toggled(bool checked);

private:

    QGraphicsScene *scene;
    QGraphicsItemGroup *groupe_reticule;
    QGraphicsItemGroup *groupe_trace;

    QGraphicsLineItem *ligne1;
    QGraphicsLineItem *segment_trace;
    QGraphicsRectItem *rectangle;

    QGraphicsTextItem *texte_frq;


};

#endif // MAINWINDOW_H
